Bug 243300 - iSCSI drive can not be added
iSCSI drive can not be added
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: iscsi-initiator-utils (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Mike Christie
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-08 09:15 EDT by Michael Rommel
Modified: 2013-01-09 23:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:30:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Rommel 2007-06-08 09:15:02 EDT
Description of problem:


Version-Release number of selected component (if applicable):
Fedora Release 7

How reproducible:
Always reproducible

Steps to Reproduce:
1. Click on "Advanced storage configuration"                                    
2. Add iSCSI target                                                             
3. Enter 192.168.0.131 as IP Address and                                        
iqn.2007-03.net-layer-7.blackbird:storage.seagull as target   
  
Actual results:
The iSCSI drive does not show up.

Expected results:
The drive shows up and can be selected to partition and install.

Additional info:

Here is the output on the different virtual consoles:                           
                                                                                
ALT-F3:                                                                         
                                                                                
INFO iSCSI initiator name iqn.2007-03.net.layer-7.blackbird:storage.seagull     
INFO ISCSID is /usr/sbin/iscsid                                                 
WARNING no record found!                                                        
WARNING isfsiadm failed to login to 192.168.0.131                               
INFO iSCSI shutdown                                                             
                                                                                
ALT-F4:                                                                         
                                                                                
iscsid: iSCSI logger with pid=691 started!                                      
iscsid: transport class version 2.0-724. iscsid version 2.0-754                 
iscsid: an InitiatorAlias= is required, but was not found in                    
+/etc/iscsi/initiatorname.iscsi                                                 
iscsid: iSCSI sync pid=693 started                                              
iscsid: iSCSI daemin with pid=692 started!                                      
scsi2: iSCSI Initiator over TCP/IP                                              
iscsi: couldn't create a new connection for session 0                           
iscsid: iSCSI logger with pid=723 started!                                      
iscsid: received iferror -12                                                    
iscsid: can't create connection (115)                                           
iscsid: transport class version 2.0-724. iscsid version 2.0-754                 
iscsid: can not bind IPC socket                                                 
                                                                                
ALT-F5:                                                                         
                                                                                
192.168.0.131:3260,1 iqn.2007-03.net.layer-7.blackbird:storage.seagull          
iscsiadm: initiator reported error (9 - internal error)                         
                                                                                
Starting an initiator on another machine leads to the following messages        
in the syslog:                                                                  
                                                                                
Loading iSCSI transport class v2.0-724.                                         
iscsi: registered transport (tcp)                                               
iscsi: registered transport (iser)                                              
scsi9 : iSCSI Initiator over TCP/IP                                             
scsi 9:0:0:0: Direct-Access     IET      VIRTUAL-DISK     0    PQ: 0 ANSI: 4    
SCSI device sdg: 4194304 512-byte hdwr sectors (2147 MB)                        
sdg: Write Protect is off                                                       
sdg: Mode Sense: 77 00 00 08                                                    
SCSI device sdg: write cache: disabled, read cache: enabled, doesn't support DPO
+or FUA                                                                         
SCSI device sdg: 4194304 512-byte hdwr sectors (2147 MB)                        
sdg: Write Protect is off                                                       
sdg: Mode Sense: 77 00 00 08                                                    
SCSI device sdg: write cache: disabled, read cache: enabled, doesn't support DPO
+or FUA                                                                         
 sdg: sdg1                                                                      
sd 9:0:0:0: Attached scsi disk sdg                                              
sd 9:0:0:0: Attached scsi generic sg6 type 0                                    
scsi 9:0:0:1: Direct-Access     IET      VIRTUAL-DISK     0    PQ: 0 ANSI: 4    
SCSI device sdh: 409600 512-byte hdwr sectors (210 MB)                          
sdh: Write Protect is off                                                       
sdh: Mode Sense: 77 00 00 08                                                    
SCSI device sdh: write cache: disabled, read cache: enabled, doesn't support DPO
+or FUA                                                                         
SCSI device sdh: 409600 512-byte hdwr sectors (210 MB)                          
sdh: Write Protect is off                                                       
sdh: Mode Sense: 77 00 00 08                                                    
SCSI device sdh: write cache: disabled, read cache: enabled, doesn't support DPO
+or FUA                                                                         
  sdh: sdh1                                                                     
sd 9:0:0:1: Attached scsi disk sdh                                              
sd 9:0:0:1: Attached scsi generic sg7 type 0                                    
                                                                                
It correctly reports both LUNs. Even if I comment out the second LUN it         
doesent change anything.
Comment 1 Bug Zapper 2008-05-14 08:55:37 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2008-06-16 21:30:24 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.